( cd usr/lib64 ; rm -rf libgnomekbdui.so )
( cd usr/lib64 ; ln -sf libgnomekbdui.so.7.0.0 libgnomekbdui.so )
( cd usr/lib64 ; rm -rf libgnomekbd.so )
( cd usr/lib64 ; ln -sf libgnomekbd.so.7.0.0 libgnomekbd.so )
( cd usr/lib64 ; rm -rf libgnomekbdui.so.7 )
( cd usr/lib64 ; ln -sf libgnomekbdui.so.7.0.0 libgnomekbdui.so.7 )
( cd usr/lib64 ; rm -rf libgnomekbd.so.7 )
( cd usr/lib64 ; ln -sf libgnomekbd.so.7.0.0 libgnomekbd.so.7 )

if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

# glib2 compile schema
if [ -x usr/bin/glib-compile-schemas ]; then
  usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas
fi
